<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@1D7D=99</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@212C</action>
      <action>temp1 =maincpu.mb@49C8</action>
    </script>
    <script state="run">
      <action>maincpu.mb@212C=1F</action> <!-- Beasties -->
      <action>maincpu.mb@49C8=1B</action> <!-- Bugs -->
    </script>
    <script state="off">
      <action>maincpu.mb@212C=temp0 </action>
      <action>maincpu.mb@49C8=temp1 </action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@1D6D=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@1D6E=05</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
